Name:       deepin-boot-maker
Version:    5.7.8
Release:    3%{dist}
Summary:    Simple tool to write system image files into CD/DVD, USB flash drive and other media.
License:    GPLv3
URL:        https://github.com/linuxdeepin/%{name}
Packager:   LiuRui
Source0:    %{name}-%{version}.tar.gz


BuildRequires: python3
BuildRequires: qt5-devel
BuildRequires: xcb-util-devel
BuildRequires: mtdev-devel
BuildRequires: libXrender-devel
BuildRequires: glib2-devel
BuildRequires: fontconfig-devel
BuildRequires: mesa-libEGL-devel
BuildRequires: startup-notification-devel
BuildRequires: dtkwidget-devel
BuildRequires: gtest-devel
BuildRequires: libXext-devel


%ifarch x86_64 i686
Requires: syslinux
Requires: syslinux-nonlinux
%endif
Requires: p7zip
Requires: mtools
Requires: udisks2
Requires: genisoimage


%description
%{summary}.

%prep
%autosetup


%build
# help find (and prefer) qt5 utilities, e.g. qmake, lrelease
export PATH=%{_qt5_bindir}:$PATH
%qmake_qt5 DAPP_VERSION=%{version} DEFINES+="VERSION=%{version}"
%make_build


%install
%make_install  INSTALL_ROOT="%buildroot"

%files
%doc README.md
%license LICENSE
%{_bindir}/*
%{_datadir}/*
/usr/lib/deepin-daemon/deepin-boot-maker-service



%changelog
* Thu Jul 21 2022 liuxingwei liuxingwei@uniontech.com - 5.7.8-3
- rebuild for an8.6

* Mon Feb 14 2022 yangxiaoxuan <yangxiaoxuan@uniontech.com> - 5.7.8-2
- Modify the use of lsblk

* Fri Feb 11 2022 yangxiaoxuan <yangxiaoxuan@uniontech.com> - 5.7.8-1
- update to 5.7.8

* Tue Jan 11 2022 mahailiang <mahailiang@uniontech.com> - 5.7.7-1
- update to 5.7.7

* Fri Nov 26 2021 mahailiang <mahailiang@uniontech.com> - 5.7.5-1
- update to 5.7.5

* Fri Nov 26 2021 mahailiang <mahailiang@uniontech.com> - 5.7.4-1
- update to 5.7.4

* Thu Nov 04 2021 mahailiang <mahailiang@uniontech.com> - 5.6.20-1
- update to 5.6.20

* Fri Oct 29 2021 mahailiang <mahailiang@uniontech.com> - 5.6.18-1
- init
